Bug 143239 - Image off-page after undo
Summary: Image off-page after undo
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:7.4.0 target:7.3.2 target:7.2.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2021-07-07 15:18 UTC by Telesto
Modified: 2022-03-10 09:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (120.79 KB, application/vnd.oasis.opendocument.text)
2021-07-07 15:18 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2021-07-07 15:18:21 UTC
Description:
Image off-page after undo

Steps to Reproduce:
1. Open the attached file
2. Sidebar -> Navigator 
3. Double click frame 150.. notice the location
4. Place cursor on first page
5. CTRL+A
6. CTRL+X
7. CTRL+Z
8. Look for frame 150.

Actual Results:
Frame somewhere on page 1 (transparent)

Expected Results:
Visible and on page 2


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: bd2f2273d83dcca43eb6b465308707efd45e7adf
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2021-07-07 15:18:36 UTC
Created attachment 173417 [details]
Example file
Comment 2 Telesto 2021-07-07 15:21:20 UTC
Still fine with
Version: 7.1.0.0.beta1+ (x64)
Build ID: f9fab4203c1aa0b9a3f27ce2713b6d5addc7df19
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: nl-NL
Calc: CL
Comment 3 Buovjaga 2021-07-19 17:23:20 UTC
Repro

NixOS
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: b1df9c67349cf4cc5be4128d797aefb87f50e38f
CPU threads: 16; OS: Linux 5.13; UI render: default; VCL: x11
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Comment 4 Buovjaga 2021-08-03 17:30:45 UTC
Bibisected with linux-64-7.2 to https://git.libreoffice.org/core/commit/c799de145f7e289f31e3669646e5bd12814e6c5e
tdf#138518 sw: layout: avoid moving flys forward prematurely

Adding Cc: to Michael Stahl
Comment 5 Commit Notification 2022-02-25 21:21:50 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b14bb255199e7d6db6ec9155b5d9237cb35fdba7

tdf#143239 sw: layout: invalidate fly position when moving off page

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Stahl (allotropia) 2022-02-28 10:09:17 UTC
fixed on master
Comment 7 Commit Notification 2022-02-28 14:51:07 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/2bed04d49fda2e2005699b3ef884c5295e56d8ca

tdf#143239 sw: layout: invalidate fly position when moving off page

It will be available in 7.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-03-10 09:32:55 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/cd60a2d31737f491088cfb0789bc014b1e0aad5f

tdf#143239 sw: layout: invalidate fly position when moving off page

It will be available in 7.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.